Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryPendingRestorePeriodType

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryPeriodType
          com.verisign.epp.codec.registry.EPPRegistryPendingRestorePeriodType

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryPendingRestorePeriodType

extends EPPRegistryPeriodType

Defines the length of time that the domain object will remain in the pendingRestore status unless the restore report command is received..

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryRGP`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryPendingRestorePeriodType` root element.

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType
`number, PERIOD_UNIT_DAY, PERIOD_UNIT_HOUR, PERIOD_UNIT_MONTH, PERIOD_UNIT_YEAR, rootName, unit, VALID_UNITS`

Constructor Summary
`EPPRegistryPendingRestorePeriodType()` Default constructor.
`EPPRegistryPendingRestorePeriodType(java.lang.Integer number, java.lang.String unit)` Constructs an instance of `EPPRegistryPendingRestorePeriodType` with `number` and `unit`.
`EPPRegistryPendingRestorePeriodType(int number, java.lang.String unit)` Constructs an instance of `EPPRegistryPendingRestorePeriodType` with `number` and `unit`.

Method Summary
`boolean` | `equals(java.lang.Object aObject)`

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType
`clone, decode, encode, getNumber, getRootName, getUnit, setNumber, setUnit, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML Element Name of `EPPRegistryPendingRestorePeriodType` root element.

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryPendingRestorePeriodType

    public EPPRegistryPendingRestorePeriodType()

  Default constructor. Must call `EPPRegistryPeriodType.setNumber(Integer)` and `EPPRegistryPeriodType.setUnit(String)` before calling `EPPRegistryPeriodType.encode(org.w3c.dom.Document)` method.

### EPPRegistryPendingRestorePeriodType

    public EPPRegistryPendingRestorePeriodType(java.lang.Integer number,
                                               java.lang.String unit)

  Constructs an instance of `EPPRegistryPendingRestorePeriodType` with `number` and `unit`.

  Parameters:
    `number` - number must be > 0
    `unit` - unit must be one of "y", "m", "d", or "h"

### EPPRegistryPendingRestorePeriodType

    public EPPRegistryPendingRestorePeriodType(int number,
                                               java.lang.String unit)

  Constructs an instance of `EPPRegistryPendingRestorePeriodType` with `number` and `unit`.

  Parameters:
    `number` - number must be > 0
    `unit` - unit must be one of "y", "m", "d", or "h"

Method Detail

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    `equals` in class `EPPRegistryPeriodType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.